Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface XAConnection

All Superinterfaces:
  PooledConnection

public interface XAConnection
extends PooledConnection

An object that provides support for distributed transactions. An `XAConnection` object may be enlisted in a distributed transaction by means of an `XAResource` object. A transaction manager, usually part of a middle tier server, manages an `XAConnection` object through the `XAResource` object.

An application programmer does not use this interface directly; rather, it is used by a transaction manager working in the middle tier server.

Since:
  1.4

Method Summary
`XAResource` | `getXAResource()` Retrieves an `XAResource` object that the transaction manager will use to manage this `XAConnection` object's participation in a distributed transaction.

Methods inherited from interface javax.sql.PooledConnection
`addConnectionEventListener, close, getConnection, removeConnectionEventListener`

Method Detail

### getXAResource

    public XAResource getXAResource()
                             throws SQLException

  Retrieves an `XAResource` object that the transaction manager will use to manage this `XAConnection` object's participation in a distributed transaction.

  Returns:
    the `XAResource` object
  Throws:
    `SQLException` - if a database access error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.